=== modified file 'loggerhead/controllers/annotate_ui.py'
--- loggerhead/controllers/annotate_ui.py	2011-04-22 17:22:26 +0000
+++ loggerhead/controllers/annotate_ui.py	2011-08-08 20:58:09 +0000
@@ -58,6 +58,10 @@
                 last_lineno = lineno
                 last_line_revid = line_revid
 
+        # Zero-size file. Return empty revisions.
+        if last_lineno is None:
+            return revisions
+
         # We never set a revspan for the last revision during the loop above, so set it here.
         revisions[last_lineno].revspan = lineno - last_lineno + 1
 

